<template>
    <div class="quality-score" :class="[`quality-score--${color}`]">
        <div class="quality-score__section" :class="{'filled': n <= score}" v-for="n in 5" :key="n"></div>
    </div>
</template>

<script>
export default {
    props: {
        score: {
            type: Number,
            default: 0
        }
    },
    computed: {
        color() {
            return this.score == 5 ? 'success' : (this.score >= 3 ? 'danger' : 'fail');
        }
    }
}
</script>

<style lang="scss">
.quality-score {
    font-size: 0px;
    &__section {
        background-color: #D8D8D8;
        height: 12px;
        width: 34px;
        margin-right: 4px;
        display: inline-block;
        &:first-child {
            border-top-left-radius: 100px;
            border-bottom-left-radius: 100px;
        }
        &:last-child {
            border-top-right-radius: 100px;
            border-bottom-right-radius: 100px;
        }
    }

    &--success .filled {
        background-color: greenyellow;
    }

    &--danger .filled {
        background-color: #E2B05B;
    }

    &--fail .filled {
        background-color: #FB4000;
    }
}
</style>